use actix_web::{get, post, web, App, HttpResponse, HttpServer, Responder};
use matrix_gateway::app_config::AppConfig;

async fn home() -> HttpResponse {
    HttpResponse::Ok().body("Hey there!")
}

#[actix_web::main]
async fn main() -> std::io::Result<()> {
    env_logger::init_from_env(env_logger::Env::new().default_filter_or("info"));

    log::info!(
        "Starting to listen on {} for {}",
        AppConfig::get().listen_address,
        AppConfig::get().website_origin
    );
    HttpServer::new(|| {
        App::new()
            // Web configuration routes
            .route("/", web::get().to(home))

        // API routes
        // TODO
    })
    .bind(&AppConfig::get().listen_address)?
    .run()
    .await
}
